/******************************************************************************
*                                                                             *
*                          Network Job Control (NJC)                          *
*                                                                             *
*                            E R R O R _ M S G . C                            *
*                common routine for queuec, queued, and submit                *
*                                                                             *
*                   Copyright (c) Joerg-R. Hill, April 1992                   *
*                                                                             *
******************************************************************************/

#include<stdio.h>
#include<string.h>
#include<time.h>

/* Prototypes */
void error_msg(int, char *);

/* Prototypes from util.c */
extern char *gettime(void);

extern char *prgname;
extern int print_date;

void error_msg(int i, char *msg)
{
  if (print_date)
    fprintf(stderr, "%s: ", gettime());

  switch(i)
  {
    case 1:
	fprintf(stderr, "%s: ERROR: Too many hosts.\n", prgname);
	break;
    case 2:
      fprintf(stderr, "%s: ERROR: Cannot fork.\n", prgname);
      perror((char *)NULL);
	break;
    case 3:
	fprintf(stderr, "%s: ERROR: Too many processes on host %s.\n", prgname, msg);
      break;
    case 4:
      fprintf(stderr, "%s: ERROR: Not able to become user %s.\n", prgname, msg);
      perror((char *)NULL);
	break;
    case 5:
      fprintf(stderr, "%s: ERROR: Cannot contact client on host %s.\n", prgname, msg);
	break;
    case 6:
      fprintf(stderr, "%s: ERROR: Unable to execute %s.\n", prgname, msg);
	break;
    case 7:
	fprintf(stderr, "%s: WARNING: %s\n", prgname, msg);
	break;
    case 8:
      fprintf(stderr, "%s: Queue started.\n", prgname);
	break;
    case 9:
	fprintf(stderr, "%s: Queue stopped.\n", prgname);
	break;
    case 10:
	fprintf(stderr, "%s: ERROR: Unable to change directory to %s.\n", prgname, msg);
	perror((char *)NULL);
	break;
    case 11:
	fprintf(stderr, "%s: ERROR: Error in select.\n", prgname);
	perror((char *)NULL);
	break;
    case 12:
      fprintf(stderr, "%s: ERROR: Unable to write file %s.\n", prgname, msg);
      perror((char *)NULL);
      break;
    case 13:
      fprintf(stderr, "%s: ERROR: Permission denied for user %s.\n", prgname, msg);
      break;
    default:
      fprintf(stderr, "%s: ERROR: Unknown error.\n", prgname);
      break;
  }
}
