/******************************************************************************
*                                                                             *
*                          Network Job Control (NJC)                          *
*                                                                             *
*                               X D R . C                                     *
*                 common routines for queuec, queued, and submit              *
*                                                                             *
*                   Copyright (c) Joerg-R. Hill, April 1992                   *
*                                                                             *
******************************************************************************/

#include<stdio.h>
#ifdef AIX
#include<userpw.h>
#include<sys/select.h>
#else
#include<limits.h>
#ifndef PASS_MAX
#define PASS_MAX       8
#endif
#define PW_CRYPTLEN    2*PASS_MAX
#endif
#include<rpc/rpc.h>
#include<rpc/xdr.h>

#include "queue.h"

bool_t xdr_intarr(XDR *xdrs, char intarr[])
{
  return(xdr_vector(xdrs, intarr, MAXPROCESS, sizeof(int), (xdrproc_t)xdr_int));
}

bool_t xdr_job(XDR *xdrs, JOB *job)
{
  if (!xdr_string(xdrs, &job->user, L_cuserid))
    return(FALSE);
  if (!xdr_string(xdrs, &job->password, PW_CRYPTLEN))
    return(FALSE);
  if (!xdr_string(xdrs, &job->path, MAXLENLINE))
    return(FALSE);
  if (!xdr_string(xdrs, &job->command, MAXLENLINE))
    return(FALSE);
  if (!xdr_string(xdrs, &job->shell, 4))
    return(FALSE);
  if (!xdr_int(xdrs, &job->nice))
    return(FALSE);
  return(TRUE);
}

